commit 0256ec8305b4a5a00e8f72da761b6f9bb117e2cb
Author: freddy77 <freddy77>
Date:   Fri Mar 6 09:14:09 2009 +0000

    just some comments

diff --git a/ChangeLog b/ChangeLog
index 9ec3362..a32947a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Mar  6 10:13:41 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/putdata.c: just some comments
+
 Fri Mar  6 03:27:07 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/query.c: fix genparams test for Sybase
 
@@ -1375,4 +1378,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2741 2009/03/06 02:27:13 freddy77 Exp $
+$Id: ChangeLog,v 1.2742 2009/03/06 09:14:09 freddy77 Exp $
diff --git a/src/odbc/unittests/putdata.c b/src/odbc/unittests/putdata.c
index 140c069..c406487 100644
--- a/src/odbc/unittests/putdata.c
+++ b/src/odbc/unittests/putdata.c
@@ -2,7 +2,7 @@
 
 /* Test for SQLPutData */
 
-static char software_version[] = "$Id: putdata.c,v 1.16 2008/12/05 08:32:48 freddy77 Exp $";
+static char software_version[] = "$Id: putdata.c,v 1.17 2009/03/06 09:14:09 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char test_text[] =
@@ -101,6 +101,7 @@ main(int argc, char *argv[])
 		/* check state  and reset some possible buffers */
 		Command("DECLARE @i INT");
 
+		/* use server ntext if available */
 		if (sql_type == SQL_LONGVARCHAR && db_is_microsoft() && db_version_int() >= 0x08000000u) {
 			sql_type = SQL_WLONGVARCHAR;
 			continue;
@@ -152,7 +153,7 @@ main(int argc, char *argv[])
 
 	CHKFreeStmt(SQL_RESET_PARAMS, "S");
 
-	/* check inserts ... */
+	/* check inserts ... there should be all equal rows */
 	strcpy(sql, "IF EXISTS(SELECT * FROM #putdata WHERE CONVERT(VARBINARY(255),b) <> 0x");
 	/* append binary */
 	for (i = 0; i < 254; ++i)

